SUSE SLES12 Security Update : gzip (SUSE-SU-2022:1650-1)

high Nessus Plugin ID 161163

Language:

Synopsis

The remote SUSE host is missing a security update.

Description

The remote SUSE Linux SLES12 host has a package installed that is affected by a vulnerability as referenced in the SUSE- SU-2022:1650-1 advisory.

- gzip: arbitrary-file-write vulnerability (CVE-2022-1271)

Note that Nessus has not tested for this issue but has instead relied only on the application's self-reported version number.

Solution

Update the affected gzip package.

See Also

https://www.suse.com/security/cve/CVE-2022-1271

http://www.nessus.org/u?82b8c4d8

Plugin Details

Severity: High

ID: 161163

File Name: suse_SU-2022-1650-1.nasl

Version: 1.2

Type: local

Agent: unix

Published: 5/13/2022

Updated: 5/13/2022

Supported Sensors: Nessus Agent

Risk Information

VPR

Risk Factor: Medium

Score: 6.7

CVSS v2

Risk Factor: Medium

Base Score: 4.3

Temporal Score: 3.2

Vector: CVSS2#AV:N/AC:M/Au:N/C:N/I:P/A:N

Temporal Vector: CVSS2#E:U/RL:OF/RC:C

CVSS Score Source: CVE-2022-1271

CVSS v3

Risk Factor: High

Base Score: 8.4

Temporal Score: 7.3

Vector: CVSS:3.0/AV:L/AC:L/PR:N/UI:N/S:U/C:H/I:H/A:H

Temporal Vector: CVSS:3.0/E:U/RL:O/RC:C

Vulnerability Information

CPE: cpe:2.3:o:novell:suse_linux:12:*:*:*:*:*:*:*, p-cpe:2.3:a:novell:suse_linux:gzip:*:*:*:*:*:*:*

Required KB Items: Host/local_checks_enabled, Host/cpu, Host/SuSE/release, Host/SuSE/rpm-list

Exploit Ease: No known exploits are available

Patch Publication Date: 5/12/2022

Vulnerability Publication Date: 4/19/2022

Reference Information

CVE: CVE-2022-1271

SuSE: SUSE-SU-2022:1650-1